Package org.kapott.hbci.sepa.jaxb.pain_008_001_02

## Class AccountIdentificationSEPAMandate

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_001_02.AccountIdentificationSEPAMandate

    public class AccountIdentificationSEPAMandate
    extends java.lang.Object

Java class for AccountIdentificationSEPAMandate complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AccountIdentificationSEPAMandate">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="IBAN" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.02}IBAN2007Identifier"/>
               <element name="Othr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.02}GenericAccountIdentificationSEPA"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `iban`
`protected GenericAccountIdentificationSEPA` `othr`

### Constructor Summary

Constructors
`AccountIdentificationSEPAMandate()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getIBAN()` Gets the value of the iban property.
`GenericAccountIdentificationSEPA` `getOthr()` Gets the value of the othr property.
`void` `setIBAN​(java.lang.String value)` Sets the value of the iban property.
`void` `setOthr​(GenericAccountIdentificationSEPA value)` Sets the value of the othr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### iban

    protected java.lang.String iban

#### othr

    protected GenericAccountIdentificationSEPA othr

### Constructor Detail

#### AccountIdentificationSEPAMandate

    public AccountIdentificationSEPAMandate()

### Method Detail

#### getIBAN

    public java.lang.String getIBAN()

Gets the value of the iban property.

Returns:
  possible object is `String`

#### setIBAN

    public void setIBAN​(java.lang.String value)

Sets the value of the iban property.

Parameters:
  `value` - allowed object is `String`

#### getOthr

    public GenericAccountIdentificationSEPA getOthr()

Gets the value of the othr property.

Returns:
  possible object is `GenericAccountIdentificationSEPA`

#### setOthr

    public void setOthr​(GenericAccountIdentificationSEPA value)

Sets the value of the othr property.

Parameters:
  `value` - allowed object is `GenericAccountIdentificationSEPA`